---
primaryTopic:
  Accounts:
    AccountCategory: DORMANT
    AccountRefDay: 31
    AccountRefMonth: 07
    LastMadeUpDate: 31/07/2023
    NextDueDate: 30/04/2025
  CompanyCategory: Private Limited Company
  CompanyName: G.S.B. INVESTMENTS LIMITED
  CompanyNumber: 03084587
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 27/07/1995
  PreviousNames:
    - CONDate: 30/08/2005
      CompanyName: SITE RESEARCH LIMITED
    - CONDate: 08/11/1995
      CompanyName: SIRENMICRO LIMITED
  RegAddress:
    AddressLine1: 1 WELLS CLOSE
    PostTown: EASTBOURNE
    County: EAST SUSSEX
    Country: UNITED KINGDOM
    Postcode: BN20 7TX
  Returns:
    LastMadeUpDate: 14/07/2023
    NextDueDate: 28/07/2024
  SICCodes:
    SicText:
      - '41100 - Development of building projects'
